

/* SVG Animation Effect 1 */
@-webkit-keyframes svgAnimationEffect1 {
	from {
		stroke-dasharray: 1000;
		stroke-dashoffset: -500;
	}

	to {
		stroke-dasharray: 1000;
		stroke-dashoffset: 0;
	}
}

@keyframes svgAnimationEffect1 {
	from {
		stroke-dasharray: 1000;
		stroke-dashoffset: -500;
	}

	to {
		stroke-dasharray: 1000;
		stroke-dashoffset: 0;
	}
}

.svg-animation-effect-1-hover svg {
	transform: scale(1);
	transition: ease transform 300ms;
}

.svg-animation-effect-1-hover svg path, .svg-animation-effect-1-hover svg polygon, .svg-animation-effect-1-hover svg polyline, .svg-animation-effect-1-hover svg rect {
	transition: ease fill-opacity 300ms;
}

.svg-animation-effect-1-hover:hover svg {
	transform: scale(1.1);
}

.svg-animation-effect-1-hover:hover svg path, .svg-animation-effect-1-hover:hover svg polygon, .svg-animation-effect-1-hover:hover svg polyline, .svg-animation-effect-1-hover:hover svg rect {
	-webkit-animation-name: svgAnimationEffect1;
	animation-name: svgAnimationEffect1;
	-webkit-animation-duration: 1s;
	animation-duration: 1s;
	-webkit-animation-fill-mode: forwards;
	animation-fill-mode: forwards;
	fill-opacity: 0;
	stroke-width: 0.4px;
}



/* Bounce Loading */
.bounce-loader {
	transition: all 0.2s;
	margin: -9px 0 0 -35px;
	text-align: center;
	width: 70px;
	left: 50% !important;
	position: absolute;
	top: 50%;
	z-index: 10000;
}

.bounce-loader .bounce1,
.bounce-loader .bounce2,
.bounce-loader .bounce3 {
	-webkit-animation: 1.4s ease-in-out 0s normal both infinite bouncedelay;
	animation: 1.4s ease-in-out 0s normal both infinite bouncedelay;
	background-color: #CCC;
	border-radius: 100%;
	box-shadow: 0 0 20px 0 rgba(0, 0, 0, 0.15);
	display: inline-block;
	height: 18px;
	width: 18px;
}

.bounce-loader .bounce1 {
	-webkit-animation-delay: -0.32s;
	animation-delay: -0.32s;
}

.bounce-loader .bounce2 {
	-webkit-animation-delay: -0.16s;
	animation-delay: -0.16s;
}

@-webkit-keyframes bouncedelay {
	0%, 80%, 100% {
		transform: scale(0);
	}

	40% {
		transform: scale(1);
	}
}

@keyframes bouncedelay {
	0%, 80%, 100% {
		transform: scale(0);
	}

	40% {
		transform: scale(1);
	}
}

html.safari.iphone .bounce-loader .bounce1,
html.safari.iphone .bounce-loader .bounce2,
html.safari.iphone .bounce-loader .bounce3 {
	-webkit-animation: 1.4s ease-in-out infinite bouncedelay;
	animation: 1.4s ease-in-out infinite bouncedelay;
}

.block-appear-animation .block-appear-animation-wrapper {
	-webkit-animation-duration: 1s;
	animation-duration: 1s;
	-webkit-animation-duration: var(--animate-duration);
	animation-duration: var(--animate-duration);
	-webkit-animation-fill-mode: both;
	animation-fill-mode: both;
	-webkit-animation-delay: 300ms;
	animation-delay: 300ms;
	opacity: 0;
}

.block-appear-animation.appear-animation-visible .block-appear-animation-wrapper {
	-webkit-animation-name: fadeIn;
	animation-name: fadeIn;
}

/* Loading Overlay */
.loading-overlay-showing {
	overflow: hidden;
}

.loading-overlay-showing > .loading-overlay {
	opacity: 1;
	visibility: visible;
}

.loading-overlay {
	transition: visibility 0s ease-in-out 0.5s, opacity 0.5s ease-in-out;
	bottom: 0;
	left: 0;
	position: absolute;
	opacity: 0;
	right: 0;
	top: 0;
	visibility: hidden;
	background: #FFF !important;
}

body > .loading-overlay {
	position: fixed;
	z-index: 999999;
}

/* Bounce Loading */
.bounce-loader {
	transition: all 0.2s;
	margin: -9px 0 0 -35px;
	text-align: center;
	width: 70px;
	left: 50%;
	position: absolute;
	top: 50%;
	z-index: 10000;
}

.bounce-loader .bounce1,
.bounce-loader .bounce2,
.bounce-loader .bounce3 {
	-webkit-animation: 1.4s ease-in-out 0s normal both infinite bouncedelay;
	animation: 1.4s ease-in-out 0s normal both infinite bouncedelay;
	background-color: #CCC;
	border-radius: 100%;
	box-shadow: 0 0 20px 0 rgba(0, 0, 0, 0.15);
	display: inline-block;
	height: 18px;
	width: 18px;
}

.bounce-loader .bounce1 {
	-webkit-animation-delay: -0.32s;
	animation-delay: -0.32s;
}

.bounce-loader .bounce2 {
	-webkit-animation-delay: -0.16s;
	animation-delay: -0.16s;
}

@-webkit-keyframes bouncedelay {
	0%, 80%, 100% {
		transform: scale(0);
	}

	40% {
		transform: scale(1);
	}
}

@keyframes bouncedelay {
	0%, 80%, 100% {
		transform: scale(0);
	}

	40% {
		transform: scale(1);
	}
}

html.safari.iphone .bounce-loader .bounce1,
html.safari.iphone .bounce-loader .bounce2,
html.safari.iphone .bounce-loader .bounce3 {
	-webkit-animation: 1.4s ease-in-out infinite bouncedelay;
	animation: 1.4s ease-in-out infinite bouncedelay;
}




